[arch-commits] Commit in grep/repos (8 files)

2016-05-25 Thread Sébastien Luttringer
Date: Thursday, May 26, 2016 @ 02:11:13
  Author: seblu
Revision: 268584

db-move: moved grep from [testing] to [core] (i686, x86_64)

Added:
  grep/repos/core-i686/PKGBUILD
(from rev 268583, grep/repos/testing-i686/PKGBUILD)
  grep/repos/core-x86_64/PKGBUILD
(from rev 268583, grep/repos/testing-x86_64/PKGBUILD)
Deleted:
  grep/repos/core-i686/PKGBUILD
  grep/repos/core-i686/grep.install
  grep/repos/core-x86_64/PKGBUILD
  grep/repos/core-x86_64/grep.install
  grep/repos/testing-i686/
  grep/repos/testing-x86_64/

--+
 /PKGBUILD|   70 +
 core-i686/PKGBUILD   |   36 ---
 core-i686/grep.install   |   18 ---
 core-x86_64/PKGBUILD |   36 ---
 core-x86_64/grep.install |   18 ---
 5 files changed, 70 insertions(+), 108 deletions(-)

Deleted: core-i686/PKGBUILD
===
--- core-i686/PKGBUILD  2016-05-26 00:11:11 UTC (rev 268583)
+++ core-i686/PKGBUILD  2016-05-26 00:11:13 UTC (rev 268584)
@@ -1,36 +0,0 @@
-# $Id$
-# Maintainer: Sébastien Luttringer 
-# Contributor: Allan McRae 
-# Contributor: judd 
-
-pkgname=grep
-pkgver=2.25
-pkgrel=1
-pkgdesc='A string search utility'
-arch=('i686' 'x86_64')
-license=('GPL3')
-url='http://www.gnu.org/software/grep/grep.html'
-groups=('base' 'base-devel')
-depends=('glibc' 'pcre')
-makedepends=('texinfo')
-install=$pkgname.install
-validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000B') # Jim Meyering
-source=("ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
-md5sums=('04e96b0e6f0fe6a180ae62c88fcd0af6'
- 'SKIP')
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure --prefix=/usr --without-included-regex
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  make check
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR=$pkgdir install
-}

Copied: grep/repos/core-i686/PKGBUILD (from rev 268583, 
grep/repos/testing-i686/PKGBUILD)
===
--- core-i686/PKGBUILD  (rev 0)
+++ core-i686/PKGBUILD  2016-05-26 00:11:13 UTC (rev 268584)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Sébastien Luttringer 
+# Contributor: Allan McRae 
+# Contributor: judd 
+
+pkgname=grep
+pkgver=2.25
+pkgrel=2
+pkgdesc='A string search utility'
+arch=('i686' 'x86_64')
+license=('GPL3')
+url='http://www.gnu.org/software/grep/grep.html'
+groups=('base' 'base-devel')
+depends=('glibc' 'pcre')
+makedepends=('texinfo')
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000B') # Jim Meyering
+source=("ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+md5sums=('04e96b0e6f0fe6a180ae62c88fcd0af6'
+ 'SKIP')
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR=$pkgdir install
+}

Deleted: core-i686/grep.install
===
--- core-i686/grep.install  2016-05-26 00:11:11 UTC (rev 268583)
+++ core-i686/grep.install  2016-05-26 00:11:13 UTC (rev 268584)
@@ -1,18 +0,0 @@
-infodir=usr/share/info
-file=grep.info
-
-post_install() {
-  [[ -x usr/bin/install-info ]] || return 0
-  install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
-}
-
-post_upgrade() {
-  post_install "$1"
-}
-
-pre_remove() {
-  [[ -x usr/bin/install-info ]] || return 0
-  install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
-}
-
-# vim:set ts=2 sw=2 ft=sh et:

Deleted: core-x86_64/PKGBUILD
===
--- core-x86_64/PKGBUILD2016-05-26 00:11:11 UTC (rev 268583)
+++ core-x86_64/PKGBUILD2016-05-26 00:11:13 UTC (rev 268584)
@@ -1,36 +0,0 @@
-# $Id$
-# Maintainer: Sébastien Luttringer 
-# Contributor: Allan McRae 
-# Contributor: judd 
-
-pkgname=grep
-pkgver=2.25
-pkgrel=1
-pkgdesc='A string search utility'
-arch=('i686' 'x86_64')
-license=('GPL3')
-url='http://www.gnu.org/software/grep/grep.html'
-groups=('base' 'base-devel')
-depends=('glibc' 'pcre')
-makedepends=('texinfo')
-install=$pkgname.install
-validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000B') # Jim Meyering
-source=("ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
-md5sums=('04e96b0e6f0fe6a180ae62c88fcd0af6'
- 'SKIP')
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure --prefix=/usr --without-included-regex
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  make check
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR=$pkgdir install
-}

Copied: grep/repos/core-x86_64/PKGBUILD (from rev 268583, 

[arch-commits] Commit in grep/repos (8 files)

2015-03-02 Thread Sébastien Luttringer
Date: Monday, March 2, 2015 @ 22:56:31
  Author: seblu
Revision: 232431

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  grep/repos/extra-i686/
  grep/repos/extra-i686/CVE-2015-1345.patch
(from rev 232430, grep/trunk/CVE-2015-1345.patch)
  grep/repos/extra-i686/PKGBUILD
(from rev 232430, grep/trunk/PKGBUILD)
  grep/repos/extra-i686/grep.install
(from rev 232430, grep/trunk/grep.install)
  grep/repos/extra-x86_64/
  grep/repos/extra-x86_64/CVE-2015-1345.patch
(from rev 232430, grep/trunk/CVE-2015-1345.patch)
  grep/repos/extra-x86_64/PKGBUILD
(from rev 232430, grep/trunk/PKGBUILD)
  grep/repos/extra-x86_64/grep.install
(from rev 232430, grep/trunk/grep.install)

--+
 extra-i686/CVE-2015-1345.patch   |   58 +
 extra-i686/PKGBUILD  |   44 
 extra-i686/grep.install  |   18 +++
 extra-x86_64/CVE-2015-1345.patch |   58 +
 extra-x86_64/PKGBUILD|   44 
 extra-x86_64/grep.install|   18 +++
 6 files changed, 240 insertions(+)

Copied: grep/repos/extra-i686/CVE-2015-1345.patch (from rev 232430, 
grep/trunk/CVE-2015-1345.patch)
===
--- extra-i686/CVE-2015-1345.patch  (rev 0)
+++ extra-i686/CVE-2015-1345.patch  2015-03-02 21:56:31 UTC (rev 232431)
@@ -0,0 +1,58 @@
+From 83a95bd8c8561875b948cadd417c653dbe7ef2e2 Mon Sep 17 00:00:00 2001
+From: Yuliy Pisetsky ypiset...@fb.com
+Date: Thu, 01 Jan 2015 23:36:55 +
+Subject: grep -F: fix a heap buffer (read) overrun
+
+grep's read buffer is often filled to its full size, except when
+reading the final buffer of a file.  In that case, the number of
+bytes read may be far less than the size of the buffer.  However, for
+certain unusual pattern/text combinations, grep -F would mistakenly
+examine bytes in that uninitialized region of memory when searching
+for a match.  With carefully chosen inputs, one can cause grep -F to
+read beyond the end of that buffer altogether.  This problem arose via
+commit v2.18-90-g73893ff with the introduction of a more efficient
+heuristic using what is now the memchr_kwset function. The use of
+that function in bmexec_trans could leave TP much larger than EP,
+and the subsequent call to bm_delta2_search would mistakenly access
+beyond end of the main input read buffer.
+
+* src/kwset.c (bmexec_trans): When TP reaches or exceeds EP,
+do not call bm_delta2_search.
+* tests/kwset-abuse: New file.
+* tests/Makefile.am (TESTS): Add it.
+* THANKS.in: Update.
+* NEWS (Bug fixes): Mention it.
+
+Prior to this patch, this command would trigger a UMR:
+
+  printf %0360db 0 | valgrind src/grep -F $(printf %019dXb 0)
+
+  Use of uninitialised value of size 8
+ at 0x4142BE: bmexec_trans (kwset.c:657)
+ by 0x4143CA: bmexec (kwset.c:678)
+ by 0x414973: kwsexec (kwset.c:848)
+ by 0x414DC4: Fexecute (kwsearch.c:128)
+ by 0x404E2E: grepbuf (grep.c:1238)
+ by 0x4054BF: grep (grep.c:1417)
+ by 0x405CEB: grepdesc (grep.c:1645)
+ by 0x405EC1: grep_command_line_arg (grep.c:1692)
+ by 0x4077D4: main (grep.c:2570)
+
+See the accompanying test for how to trigger the heap buffer overrun.
+
+Thanks to Nima Aghdaii for testing and finding numerous
+ways to break early iterations of this patch.
+---
+diff --git a/src/kwset.c b/src/kwset.c
+index 4003c8d..376f7c3 100644
+--- a/src/kwset.c
 b/src/kwset.c
+@@ -643,6 +643,8 @@ bmexec_trans (kwset_t kwset, char const *text, size_t size)
+ if (! tp)
+   return -1;
+ tp++;
++if (ep = tp)
++  break;
+   }
+   }
+   }

Copied: grep/repos/extra-i686/PKGBUILD (from rev 232430, grep/trunk/PKGBUILD)
===
--- extra-i686/PKGBUILD (rev 0)
+++ extra-i686/PKGBUILD 2015-03-02 21:56:31 UTC (rev 232431)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Sébastien Luttringer se...@archlinux.org
+# Contributor: Allan McRae al...@archlinux.org
+# Contributor: judd jvi...@zeroflux.org
+
+pkgname=grep
+pkgver=2.21
+pkgrel=2
+pkgdesc='A string search utility'
+arch=('i686' 'x86_64')
+license=('GPL3')
+url='http://www.gnu.org/software/grep/grep.html'
+groups=('base' 'base-devel')
+depends=('glibc' 'pcre')
+makedepends=('texinfo')
+install=$pkgname.install
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000B') # Jim Meyering
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig}
+'CVE-2015-1345.patch')
+md5sums=('43c48064d6409862b8a850db83c8038a'
+ 'SKIP'
+ 'f9c8e95efcc1bd52d4af42cb4bff03aa')
+
+ prepare() {
+  cd $pkgname-$pkgver
+  # fix CVE-2015-1345
+  patch -Np1  ${srcdir}/CVE-2015-1345.patch
+ }
+
+build() 

[arch-commits] Commit in grep/repos (8 files)

2014-02-18 Thread Allan McRae
Date: Tuesday, February 18, 2014 @ 13:22:36
  Author: allan
Revision: 206109

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  grep/repos/testing-i686/
  grep/repos/testing-i686/PKGBUILD
(from rev 206108, grep/trunk/PKGBUILD)
  grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch
(from rev 206108, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-i686/grep.install
(from rev 206108, grep/trunk/grep.install)
  grep/repos/testing-x86_64/
  grep/repos/testing-x86_64/PKGBUILD
(from rev 206108, grep/trunk/PKGBUILD)
  grep/repos/testing-x86_64/grep-2.11-exclude-dir-crash.patch
(from rev 206108, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-x86_64/grep.install
(from rev 206108, grep/trunk/grep.install)

--+
 testing-i686/PKGBUILD|   34 
 testing-i686/grep-2.11-exclude-dir-crash.patch   |   44 +
 testing-i686/grep.install|   17 
 testing-x86_64/PKGBUILD  |   34 
 testing-x86_64/grep-2.11-exclude-dir-crash.patch |   44 +
 testing-x86_64/grep.install  |   17 
 6 files changed, 190 insertions(+)

Copied: grep/repos/testing-i686/PKGBUILD (from rev 206108, grep/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2014-02-18 12:22:36 UTC (rev 206109)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae al...@archlinux.org
+# Contributor: judd jvi...@zeroflux.org
+
+pkgname=grep
+pkgver=2.17
+pkgrel=1
+pkgdesc=A string search utility
+arch=('i686' 'x86_64')
+license=('GPL3')
+url=http://www.gnu.org/software/grep/grep.html;
+groups=('base' 'base-devel')
+depends=('glibc' 'pcre' 'sh')
+makedepends=('texinfo')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('3b1f0cbf1139e76171f790665b1b41cf'
+ 'SKIP')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch (from rev 
206108, grep/trunk/grep-2.11-exclude-dir-crash.patch)
===
--- testing-i686/grep-2.11-exclude-dir-crash.patch  
(rev 0)
+++ testing-i686/grep-2.11-exclude-dir-crash.patch  2014-02-18 12:22:36 UTC 
(rev 206109)
@@ -0,0 +1,44 @@
+From 12c957f786b12a4dd116f9c40a715d671d17fa16 Mon Sep 17 00:00:00 2001
+From: Allan McRae al...@archlinux.org
+Date: Mon, 12 Mar 2012 09:28:01 +0100
+Subject: [PATCH] grep: fix segfault with -r --exclude-dir and no file operand
+
+* src/main.c (grepdir): Don't invoke excluded_file_name on NULL.
+* NEWS (Bug fixes): Mention it.
+---
+ NEWS   |5 +
+ src/main.c |2 +-
+ 2 files changed, 6 insertions(+), 1 deletion(-)
+
+diff --git a/NEWS b/NEWS
+index d0a63d5..d4d70f5 100644
+--- a/NEWS
 b/NEWS
+@@ -2,6 +2,11 @@ GNU grep NEWS-*- outline 
-*-
+ 
+ * Noteworthy changes in release ?.? (-??-??) [?]
+ 
++** Bug fixes
++
++   grep no longer segfaults with -r --exclude-dir and no file operand.
++   I.e., :|grep -r --exclude-dir=D PAT would segfault.
++
+ 
+ * Noteworthy changes in release 2.11 (2012-03-02) [stable]
+ 
+diff --git a/src/main.c b/src/main.c
+index 2f6c761..f4f1235 100644
+--- a/src/main.c
 b/src/main.c
+@@ -1361,7 +1361,7 @@ grepdir (char const *dir, struct stats const *stats)
+   struct stats const *ancestor;
+   char *name_space;
+   int status = 1;
+-  if (excluded_directory_patterns
++  if (dir  excluded_directory_patterns
+excluded_file_name (excluded_directory_patterns, dir))
+ return 1;
+ 
+-- 
+1.7.9.3
+

Copied: grep/repos/testing-i686/grep.install (from rev 206108, 
grep/trunk/grep.install)
===
--- testing-i686/grep.install   (rev 0)
+++ testing-i686/grep.install   2014-02-18 12:22:36 UTC (rev 206109)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=grep.info
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2 /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2 /dev/null
+}
+

Copied: grep/repos/testing-x86_64/PKGBUILD (from rev 206108, 
grep/trunk/PKGBUILD)
===
--- testing-x86_64/PKGBUILD (rev 0)
+++ 

[arch-commits] Commit in grep/repos (8 files)

2014-01-01 Thread Allan McRae
Date: Thursday, January 2, 2014 @ 07:42:08
  Author: allan
Revision: 203034

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  grep/repos/testing-i686/
  grep/repos/testing-i686/PKGBUILD
(from rev 203033, grep/trunk/PKGBUILD)
  grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch
(from rev 203033, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-i686/grep.install
(from rev 203033, grep/trunk/grep.install)
  grep/repos/testing-x86_64/
  grep/repos/testing-x86_64/PKGBUILD
(from rev 203033, grep/trunk/PKGBUILD)
  grep/repos/testing-x86_64/grep-2.11-exclude-dir-crash.patch
(from rev 203033, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-x86_64/grep.install
(from rev 203033, grep/trunk/grep.install)

--+
 testing-i686/PKGBUILD|   34 
 testing-i686/grep-2.11-exclude-dir-crash.patch   |   44 +
 testing-i686/grep.install|   17 
 testing-x86_64/PKGBUILD  |   34 
 testing-x86_64/grep-2.11-exclude-dir-crash.patch |   44 +
 testing-x86_64/grep.install  |   17 
 6 files changed, 190 insertions(+)

Copied: grep/repos/testing-i686/PKGBUILD (from rev 203033, grep/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2014-01-02 06:42:08 UTC (rev 203034)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae al...@archlinux.org
+# Contributor: judd jvi...@zeroflux.org
+
+pkgname=grep
+pkgver=2.16
+pkgrel=1
+pkgdesc=A string search utility
+arch=('i686' 'x86_64')
+license=('GPL3')
+url=http://www.gnu.org/software/grep/grep.html;
+groups=('base' 'base-devel')
+depends=('glibc' 'pcre' 'sh')
+makedepends=('texinfo')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('502350a6c8f7c2b12ee58829e760b44d'
+ 'SKIP')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch (from rev 
203033, grep/trunk/grep-2.11-exclude-dir-crash.patch)
===
--- testing-i686/grep-2.11-exclude-dir-crash.patch  
(rev 0)
+++ testing-i686/grep-2.11-exclude-dir-crash.patch  2014-01-02 06:42:08 UTC 
(rev 203034)
@@ -0,0 +1,44 @@
+From 12c957f786b12a4dd116f9c40a715d671d17fa16 Mon Sep 17 00:00:00 2001
+From: Allan McRae al...@archlinux.org
+Date: Mon, 12 Mar 2012 09:28:01 +0100
+Subject: [PATCH] grep: fix segfault with -r --exclude-dir and no file operand
+
+* src/main.c (grepdir): Don't invoke excluded_file_name on NULL.
+* NEWS (Bug fixes): Mention it.
+---
+ NEWS   |5 +
+ src/main.c |2 +-
+ 2 files changed, 6 insertions(+), 1 deletion(-)
+
+diff --git a/NEWS b/NEWS
+index d0a63d5..d4d70f5 100644
+--- a/NEWS
 b/NEWS
+@@ -2,6 +2,11 @@ GNU grep NEWS-*- outline 
-*-
+ 
+ * Noteworthy changes in release ?.? (-??-??) [?]
+ 
++** Bug fixes
++
++   grep no longer segfaults with -r --exclude-dir and no file operand.
++   I.e., :|grep -r --exclude-dir=D PAT would segfault.
++
+ 
+ * Noteworthy changes in release 2.11 (2012-03-02) [stable]
+ 
+diff --git a/src/main.c b/src/main.c
+index 2f6c761..f4f1235 100644
+--- a/src/main.c
 b/src/main.c
+@@ -1361,7 +1361,7 @@ grepdir (char const *dir, struct stats const *stats)
+   struct stats const *ancestor;
+   char *name_space;
+   int status = 1;
+-  if (excluded_directory_patterns
++  if (dir  excluded_directory_patterns
+excluded_file_name (excluded_directory_patterns, dir))
+ return 1;
+ 
+-- 
+1.7.9.3
+

Copied: grep/repos/testing-i686/grep.install (from rev 203033, 
grep/trunk/grep.install)
===
--- testing-i686/grep.install   (rev 0)
+++ testing-i686/grep.install   2014-01-02 06:42:08 UTC (rev 203034)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=grep.info
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2 /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2 /dev/null
+}
+

Copied: grep/repos/testing-x86_64/PKGBUILD (from rev 203033, 
grep/trunk/PKGBUILD)
===
--- testing-x86_64/PKGBUILD (rev 0)
+++ 

[arch-commits] Commit in grep/repos (8 files)

2013-10-26 Thread Allan McRae
Date: Sunday, October 27, 2013 @ 02:35:33
  Author: allan
Revision: 197571

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  grep/repos/testing-i686/
  grep/repos/testing-i686/PKGBUILD
(from rev 197570, grep/trunk/PKGBUILD)
  grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch
(from rev 197570, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-i686/grep.install
(from rev 197570, grep/trunk/grep.install)
  grep/repos/testing-x86_64/
  grep/repos/testing-x86_64/PKGBUILD
(from rev 197570, grep/trunk/PKGBUILD)
  grep/repos/testing-x86_64/grep-2.11-exclude-dir-crash.patch
(from rev 197570, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-x86_64/grep.install
(from rev 197570, grep/trunk/grep.install)

--+
 testing-i686/PKGBUILD|   34 
 testing-i686/grep-2.11-exclude-dir-crash.patch   |   44 +
 testing-i686/grep.install|   17 
 testing-x86_64/PKGBUILD  |   34 
 testing-x86_64/grep-2.11-exclude-dir-crash.patch |   44 +
 testing-x86_64/grep.install  |   17 
 6 files changed, 190 insertions(+)

Copied: grep/repos/testing-i686/PKGBUILD (from rev 197570, grep/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2013-10-27 01:35:33 UTC (rev 197571)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae al...@archlinux.org
+# Contributor: judd jvi...@zeroflux.org
+
+pkgname=grep
+pkgver=2.15
+pkgrel=1
+pkgdesc=A string search utility
+arch=('i686' 'x86_64')
+license=('GPL3')
+url=http://www.gnu.org/software/grep/grep.html;
+groups=('base' 'base-devel')
+depends=('glibc' 'pcre' 'sh')
+makedepends=('texinfo')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('8cab8ca52bcae735af40278423c7c942'
+ 'SKIP')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch (from rev 
197570, grep/trunk/grep-2.11-exclude-dir-crash.patch)
===
--- testing-i686/grep-2.11-exclude-dir-crash.patch  
(rev 0)
+++ testing-i686/grep-2.11-exclude-dir-crash.patch  2013-10-27 01:35:33 UTC 
(rev 197571)
@@ -0,0 +1,44 @@
+From 12c957f786b12a4dd116f9c40a715d671d17fa16 Mon Sep 17 00:00:00 2001
+From: Allan McRae al...@archlinux.org
+Date: Mon, 12 Mar 2012 09:28:01 +0100
+Subject: [PATCH] grep: fix segfault with -r --exclude-dir and no file operand
+
+* src/main.c (grepdir): Don't invoke excluded_file_name on NULL.
+* NEWS (Bug fixes): Mention it.
+---
+ NEWS   |5 +
+ src/main.c |2 +-
+ 2 files changed, 6 insertions(+), 1 deletion(-)
+
+diff --git a/NEWS b/NEWS
+index d0a63d5..d4d70f5 100644
+--- a/NEWS
 b/NEWS
+@@ -2,6 +2,11 @@ GNU grep NEWS-*- outline 
-*-
+ 
+ * Noteworthy changes in release ?.? (-??-??) [?]
+ 
++** Bug fixes
++
++   grep no longer segfaults with -r --exclude-dir and no file operand.
++   I.e., :|grep -r --exclude-dir=D PAT would segfault.
++
+ 
+ * Noteworthy changes in release 2.11 (2012-03-02) [stable]
+ 
+diff --git a/src/main.c b/src/main.c
+index 2f6c761..f4f1235 100644
+--- a/src/main.c
 b/src/main.c
+@@ -1361,7 +1361,7 @@ grepdir (char const *dir, struct stats const *stats)
+   struct stats const *ancestor;
+   char *name_space;
+   int status = 1;
+-  if (excluded_directory_patterns
++  if (dir  excluded_directory_patterns
+excluded_file_name (excluded_directory_patterns, dir))
+ return 1;
+ 
+-- 
+1.7.9.3
+

Copied: grep/repos/testing-i686/grep.install (from rev 197570, 
grep/trunk/grep.install)
===
--- testing-i686/grep.install   (rev 0)
+++ testing-i686/grep.install   2013-10-27 01:35:33 UTC (rev 197571)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=grep.info
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2 /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2 /dev/null
+}
+

Copied: grep/repos/testing-x86_64/PKGBUILD (from rev 197570, 
grep/trunk/PKGBUILD)
===
--- testing-x86_64/PKGBUILD (rev 0)
+++ 

[arch-commits] Commit in grep/repos (8 files)

2013-01-27 Thread Allan McRae
Date: Sunday, January 27, 2013 @ 13:12:47
  Author: allan
Revision: 176091

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  grep/repos/testing-i686/
  grep/repos/testing-i686/PKGBUILD
(from rev 176090, grep/trunk/PKGBUILD)
  grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch
(from rev 176090, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-i686/grep.install
(from rev 176090, grep/trunk/grep.install)
  grep/repos/testing-x86_64/
  grep/repos/testing-x86_64/PKGBUILD
(from rev 176090, grep/trunk/PKGBUILD)
  grep/repos/testing-x86_64/grep-2.11-exclude-dir-crash.patch
(from rev 176090, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-x86_64/grep.install
(from rev 176090, grep/trunk/grep.install)

--+
 testing-i686/PKGBUILD|   34 
 testing-i686/grep-2.11-exclude-dir-crash.patch   |   44 +
 testing-i686/grep.install|   17 
 testing-x86_64/PKGBUILD  |   34 
 testing-x86_64/grep-2.11-exclude-dir-crash.patch |   44 +
 testing-x86_64/grep.install  |   17 
 6 files changed, 190 insertions(+)

Copied: grep/repos/testing-i686/PKGBUILD (from rev 176090, grep/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2013-01-27 12:12:47 UTC (rev 176091)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae al...@archlinux.org
+# Contributor: judd jvi...@zeroflux.org
+
+pkgname=grep
+pkgver=2.14
+pkgrel=2
+pkgdesc=A string search utility
+arch=('i686' 'x86_64')
+license=('GPL3')
+url=http://www.gnu.org/software/grep/grep.html;
+groups=('base' 'base-devel')
+depends=('glibc' 'pcre' 'sh')
+makedepends=('texinfo')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('d4a3f03849d1e17ce56ab76aa5a24cab'
+ 'b94fdcaa058b47a9a25099c26cd2e4c3')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch (from rev 
176090, grep/trunk/grep-2.11-exclude-dir-crash.patch)
===
--- testing-i686/grep-2.11-exclude-dir-crash.patch  
(rev 0)
+++ testing-i686/grep-2.11-exclude-dir-crash.patch  2013-01-27 12:12:47 UTC 
(rev 176091)
@@ -0,0 +1,44 @@
+From 12c957f786b12a4dd116f9c40a715d671d17fa16 Mon Sep 17 00:00:00 2001
+From: Allan McRae al...@archlinux.org
+Date: Mon, 12 Mar 2012 09:28:01 +0100
+Subject: [PATCH] grep: fix segfault with -r --exclude-dir and no file operand
+
+* src/main.c (grepdir): Don't invoke excluded_file_name on NULL.
+* NEWS (Bug fixes): Mention it.
+---
+ NEWS   |5 +
+ src/main.c |2 +-
+ 2 files changed, 6 insertions(+), 1 deletion(-)
+
+diff --git a/NEWS b/NEWS
+index d0a63d5..d4d70f5 100644
+--- a/NEWS
 b/NEWS
+@@ -2,6 +2,11 @@ GNU grep NEWS-*- outline 
-*-
+ 
+ * Noteworthy changes in release ?.? (-??-??) [?]
+ 
++** Bug fixes
++
++   grep no longer segfaults with -r --exclude-dir and no file operand.
++   I.e., :|grep -r --exclude-dir=D PAT would segfault.
++
+ 
+ * Noteworthy changes in release 2.11 (2012-03-02) [stable]
+ 
+diff --git a/src/main.c b/src/main.c
+index 2f6c761..f4f1235 100644
+--- a/src/main.c
 b/src/main.c
+@@ -1361,7 +1361,7 @@ grepdir (char const *dir, struct stats const *stats)
+   struct stats const *ancestor;
+   char *name_space;
+   int status = 1;
+-  if (excluded_directory_patterns
++  if (dir  excluded_directory_patterns
+excluded_file_name (excluded_directory_patterns, dir))
+ return 1;
+ 
+-- 
+1.7.9.3
+

Copied: grep/repos/testing-i686/grep.install (from rev 176090, 
grep/trunk/grep.install)
===
--- testing-i686/grep.install   (rev 0)
+++ testing-i686/grep.install   2013-01-27 12:12:47 UTC (rev 176091)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=grep.info
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2 /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2 /dev/null
+}
+

Copied: grep/repos/testing-x86_64/PKGBUILD (from rev 176090, 
grep/trunk/PKGBUILD)
===
--- testing-x86_64/PKGBUILD (rev 

[arch-commits] Commit in grep/repos (8 files)

2012-08-20 Thread Allan McRae
Date: Monday, August 20, 2012 @ 07:35:50
  Author: allan
Revision: 165463

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  grep/repos/testing-i686/
  grep/repos/testing-i686/PKGBUILD
(from rev 165462, grep/trunk/PKGBUILD)
  grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch
(from rev 165462, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-i686/grep.install
(from rev 165462, grep/trunk/grep.install)
  grep/repos/testing-x86_64/
  grep/repos/testing-x86_64/PKGBUILD
(from rev 165462, grep/trunk/PKGBUILD)
  grep/repos/testing-x86_64/grep-2.11-exclude-dir-crash.patch
(from rev 165462, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-x86_64/grep.install
(from rev 165462, grep/trunk/grep.install)

--+
 testing-i686/PKGBUILD|   34 
 testing-i686/grep-2.11-exclude-dir-crash.patch   |   44 +
 testing-i686/grep.install|   17 
 testing-x86_64/PKGBUILD  |   34 
 testing-x86_64/grep-2.11-exclude-dir-crash.patch |   44 +
 testing-x86_64/grep.install  |   17 
 6 files changed, 190 insertions(+)

Copied: grep/repos/testing-i686/PKGBUILD (from rev 165462, grep/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2012-08-20 11:35:50 UTC (rev 165463)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae al...@archlinux.org
+# Contributor: judd jvi...@zeroflux.org
+
+pkgname=grep
+pkgver=2.14
+pkgrel=1
+pkgdesc=A string search utility
+arch=('i686' 'x86_64')
+license=('GPL3')
+url=http://www.gnu.org/software/grep/grep.html;
+groups=('base')
+depends=('glibc' 'pcre' 'sh')
+makedepends=('texinfo')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('d4a3f03849d1e17ce56ab76aa5a24cab'
+ 'b94fdcaa058b47a9a25099c26cd2e4c3')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch (from rev 
165462, grep/trunk/grep-2.11-exclude-dir-crash.patch)
===
--- testing-i686/grep-2.11-exclude-dir-crash.patch  
(rev 0)
+++ testing-i686/grep-2.11-exclude-dir-crash.patch  2012-08-20 11:35:50 UTC 
(rev 165463)
@@ -0,0 +1,44 @@
+From 12c957f786b12a4dd116f9c40a715d671d17fa16 Mon Sep 17 00:00:00 2001
+From: Allan McRae al...@archlinux.org
+Date: Mon, 12 Mar 2012 09:28:01 +0100
+Subject: [PATCH] grep: fix segfault with -r --exclude-dir and no file operand
+
+* src/main.c (grepdir): Don't invoke excluded_file_name on NULL.
+* NEWS (Bug fixes): Mention it.
+---
+ NEWS   |5 +
+ src/main.c |2 +-
+ 2 files changed, 6 insertions(+), 1 deletion(-)
+
+diff --git a/NEWS b/NEWS
+index d0a63d5..d4d70f5 100644
+--- a/NEWS
 b/NEWS
+@@ -2,6 +2,11 @@ GNU grep NEWS-*- outline 
-*-
+ 
+ * Noteworthy changes in release ?.? (-??-??) [?]
+ 
++** Bug fixes
++
++   grep no longer segfaults with -r --exclude-dir and no file operand.
++   I.e., :|grep -r --exclude-dir=D PAT would segfault.
++
+ 
+ * Noteworthy changes in release 2.11 (2012-03-02) [stable]
+ 
+diff --git a/src/main.c b/src/main.c
+index 2f6c761..f4f1235 100644
+--- a/src/main.c
 b/src/main.c
+@@ -1361,7 +1361,7 @@ grepdir (char const *dir, struct stats const *stats)
+   struct stats const *ancestor;
+   char *name_space;
+   int status = 1;
+-  if (excluded_directory_patterns
++  if (dir  excluded_directory_patterns
+excluded_file_name (excluded_directory_patterns, dir))
+ return 1;
+ 
+-- 
+1.7.9.3
+

Copied: grep/repos/testing-i686/grep.install (from rev 165462, 
grep/trunk/grep.install)
===
--- testing-i686/grep.install   (rev 0)
+++ testing-i686/grep.install   2012-08-20 11:35:50 UTC (rev 165463)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=grep.info
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2 /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2 /dev/null
+}
+

Copied: grep/repos/testing-x86_64/PKGBUILD (from rev 165462, 
grep/trunk/PKGBUILD)
===
--- testing-x86_64/PKGBUILD (rev 0)
+++ 

[arch-commits] Commit in grep/repos (8 files)

2012-07-15 Thread Dave Reisner
Date: Sunday, July 15, 2012 @ 22:50:23
  Author: dreisner
Revision: 163569

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  grep/repos/testing-i686/
  grep/repos/testing-i686/PKGBUILD
(from rev 163568, grep/trunk/PKGBUILD)
  grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch
(from rev 163568, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-i686/grep.install
(from rev 163568, grep/trunk/grep.install)
  grep/repos/testing-x86_64/
  grep/repos/testing-x86_64/PKGBUILD
(from rev 163568, grep/trunk/PKGBUILD)
  grep/repos/testing-x86_64/grep-2.11-exclude-dir-crash.patch
(from rev 163568, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-x86_64/grep.install
(from rev 163568, grep/trunk/grep.install)

--+
 testing-i686/PKGBUILD|   34 
 testing-i686/grep-2.11-exclude-dir-crash.patch   |   44 +
 testing-i686/grep.install|   21 ++
 testing-x86_64/PKGBUILD  |   34 
 testing-x86_64/grep-2.11-exclude-dir-crash.patch |   44 +
 testing-x86_64/grep.install  |   21 ++
 6 files changed, 198 insertions(+)

Copied: grep/repos/testing-i686/PKGBUILD (from rev 163568, grep/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2012-07-16 02:50:23 UTC (rev 163569)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae al...@archlinux.org
+# Contributor: judd jvi...@zeroflux.org
+
+pkgname=grep
+pkgver=2.13
+pkgrel=2
+pkgdesc=A string search utility
+arch=('i686' 'x86_64')
+license=('GPL3')
+url=http://www.gnu.org/software/grep/grep.html;
+groups=('base')
+depends=('glibc' 'pcre' 'sh')
+makedepends=('texinfo')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('5894d484e6c02249f9702d0d8a472115'
+ '99acaa4d45ab931be2ecba49a1766df7')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch (from rev 
163568, grep/trunk/grep-2.11-exclude-dir-crash.patch)
===
--- testing-i686/grep-2.11-exclude-dir-crash.patch  
(rev 0)
+++ testing-i686/grep-2.11-exclude-dir-crash.patch  2012-07-16 02:50:23 UTC 
(rev 163569)
@@ -0,0 +1,44 @@
+From 12c957f786b12a4dd116f9c40a715d671d17fa16 Mon Sep 17 00:00:00 2001
+From: Allan McRae al...@archlinux.org
+Date: Mon, 12 Mar 2012 09:28:01 +0100
+Subject: [PATCH] grep: fix segfault with -r --exclude-dir and no file operand
+
+* src/main.c (grepdir): Don't invoke excluded_file_name on NULL.
+* NEWS (Bug fixes): Mention it.
+---
+ NEWS   |5 +
+ src/main.c |2 +-
+ 2 files changed, 6 insertions(+), 1 deletion(-)
+
+diff --git a/NEWS b/NEWS
+index d0a63d5..d4d70f5 100644
+--- a/NEWS
 b/NEWS
+@@ -2,6 +2,11 @@ GNU grep NEWS-*- outline 
-*-
+ 
+ * Noteworthy changes in release ?.? (-??-??) [?]
+ 
++** Bug fixes
++
++   grep no longer segfaults with -r --exclude-dir and no file operand.
++   I.e., :|grep -r --exclude-dir=D PAT would segfault.
++
+ 
+ * Noteworthy changes in release 2.11 (2012-03-02) [stable]
+ 
+diff --git a/src/main.c b/src/main.c
+index 2f6c761..f4f1235 100644
+--- a/src/main.c
 b/src/main.c
+@@ -1361,7 +1361,7 @@ grepdir (char const *dir, struct stats const *stats)
+   struct stats const *ancestor;
+   char *name_space;
+   int status = 1;
+-  if (excluded_directory_patterns
++  if (dir  excluded_directory_patterns
+excluded_file_name (excluded_directory_patterns, dir))
+ return 1;
+ 
+-- 
+1.7.9.3
+

Copied: grep/repos/testing-i686/grep.install (from rev 163568, 
grep/trunk/grep.install)
===
--- testing-i686/grep.install   (rev 0)
+++ testing-i686/grep.install   2012-07-16 02:50:23 UTC (rev 163569)
@@ -0,0 +1,21 @@
+infodir=usr/share/info
+filelist=(grep.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+install-info $infodir/$file.gz $infodir/dir 2 /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+install-info --delete $infodir/$file.gz $infodir/dir 2 /dev/null
+  done
+}
+

Copied: grep/repos/testing-x86_64/PKGBUILD (from rev 163568, 
grep/trunk/PKGBUILD)

[arch-commits] Commit in grep/repos (8 files)

2012-07-04 Thread Allan McRae
Date: Thursday, July 5, 2012 @ 01:02:37
  Author: allan
Revision: 162996

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  grep/repos/testing-i686/
  grep/repos/testing-i686/PKGBUILD
(from rev 162995, grep/trunk/PKGBUILD)
  grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch
(from rev 162995, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-i686/grep.install
(from rev 162995, grep/trunk/grep.install)
  grep/repos/testing-x86_64/
  grep/repos/testing-x86_64/PKGBUILD
(from rev 162995, grep/trunk/PKGBUILD)
  grep/repos/testing-x86_64/grep-2.11-exclude-dir-crash.patch
(from rev 162995, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-x86_64/grep.install
(from rev 162995, grep/trunk/grep.install)

--+
 testing-i686/PKGBUILD|   37 +
 testing-i686/grep-2.11-exclude-dir-crash.patch   |   44 +
 testing-i686/grep.install|   21 ++
 testing-x86_64/PKGBUILD  |   37 +
 testing-x86_64/grep-2.11-exclude-dir-crash.patch |   44 +
 testing-x86_64/grep.install  |   21 ++
 6 files changed, 204 insertions(+)

Copied: grep/repos/testing-i686/PKGBUILD (from rev 162995, grep/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2012-07-05 05:02:37 UTC (rev 162996)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Allan McRae al...@archlinux.org
+# Contributor: judd jvi...@zeroflux.org
+
+pkgname=grep
+pkgver=2.13
+pkgrel=1
+pkgdesc=A string search utility
+arch=('i686' 'x86_64')
+license=('GPL3')
+url=http://www.gnu.org/software/grep/grep.html;
+groups=('base')
+depends=('glibc' 'pcre' 'sh')
+makedepends=('texinfo')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('5894d484e6c02249f9702d0d8a472115'
+ '99acaa4d45ab931be2ecba49a1766df7')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  
+  install -dm755 ${pkgdir}/bin
+  ln -s /usr/bin/grep ${pkgdir}/bin/grep
+}

Copied: grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch (from rev 
162995, grep/trunk/grep-2.11-exclude-dir-crash.patch)
===
--- testing-i686/grep-2.11-exclude-dir-crash.patch  
(rev 0)
+++ testing-i686/grep-2.11-exclude-dir-crash.patch  2012-07-05 05:02:37 UTC 
(rev 162996)
@@ -0,0 +1,44 @@
+From 12c957f786b12a4dd116f9c40a715d671d17fa16 Mon Sep 17 00:00:00 2001
+From: Allan McRae al...@archlinux.org
+Date: Mon, 12 Mar 2012 09:28:01 +0100
+Subject: [PATCH] grep: fix segfault with -r --exclude-dir and no file operand
+
+* src/main.c (grepdir): Don't invoke excluded_file_name on NULL.
+* NEWS (Bug fixes): Mention it.
+---
+ NEWS   |5 +
+ src/main.c |2 +-
+ 2 files changed, 6 insertions(+), 1 deletion(-)
+
+diff --git a/NEWS b/NEWS
+index d0a63d5..d4d70f5 100644
+--- a/NEWS
 b/NEWS
+@@ -2,6 +2,11 @@ GNU grep NEWS-*- outline 
-*-
+ 
+ * Noteworthy changes in release ?.? (-??-??) [?]
+ 
++** Bug fixes
++
++   grep no longer segfaults with -r --exclude-dir and no file operand.
++   I.e., :|grep -r --exclude-dir=D PAT would segfault.
++
+ 
+ * Noteworthy changes in release 2.11 (2012-03-02) [stable]
+ 
+diff --git a/src/main.c b/src/main.c
+index 2f6c761..f4f1235 100644
+--- a/src/main.c
 b/src/main.c
+@@ -1361,7 +1361,7 @@ grepdir (char const *dir, struct stats const *stats)
+   struct stats const *ancestor;
+   char *name_space;
+   int status = 1;
+-  if (excluded_directory_patterns
++  if (dir  excluded_directory_patterns
+excluded_file_name (excluded_directory_patterns, dir))
+ return 1;
+ 
+-- 
+1.7.9.3
+

Copied: grep/repos/testing-i686/grep.install (from rev 162995, 
grep/trunk/grep.install)
===
--- testing-i686/grep.install   (rev 0)
+++ testing-i686/grep.install   2012-07-05 05:02:37 UTC (rev 162996)
@@ -0,0 +1,21 @@
+infodir=usr/share/info
+filelist=(grep.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+install-info $infodir/$file.gz $infodir/dir 2 /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+install-info --delete $infodir/$file.gz $infodir/dir 2 /dev/null
+  done
+}
+

Copied: grep/repos/testing-x86_64/PKGBUILD (from 

[arch-commits] Commit in grep/repos (8 files)

2012-04-24 Thread Allan McRae
Date: Tuesday, April 24, 2012 @ 22:48:51
  Author: allan
Revision: 157149

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  grep/repos/testing-i686/
  grep/repos/testing-i686/PKGBUILD
(from rev 157148, grep/trunk/PKGBUILD)
  grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch
(from rev 157148, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-i686/grep.install
(from rev 157148, grep/trunk/grep.install)
  grep/repos/testing-x86_64/
  grep/repos/testing-x86_64/PKGBUILD
(from rev 157148, grep/trunk/PKGBUILD)
  grep/repos/testing-x86_64/grep-2.11-exclude-dir-crash.patch
(from rev 157148, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-x86_64/grep.install
(from rev 157148, grep/trunk/grep.install)

--+
 testing-i686/PKGBUILD|   37 +
 testing-i686/grep-2.11-exclude-dir-crash.patch   |   44 +
 testing-i686/grep.install|   21 ++
 testing-x86_64/PKGBUILD  |   37 +
 testing-x86_64/grep-2.11-exclude-dir-crash.patch |   44 +
 testing-x86_64/grep.install  |   21 ++
 6 files changed, 204 insertions(+)

Copied: grep/repos/testing-i686/PKGBUILD (from rev 157148, grep/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2012-04-25 02:48:51 UTC (rev 157149)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Allan McRae al...@archlinux.org
+# Contributor: judd jvi...@zeroflux.org
+
+pkgname=grep
+pkgver=2.12
+pkgrel=1
+pkgdesc=A string search utility
+arch=('i686' 'x86_64')
+license=('GPL3')
+url=http://www.gnu.org/software/grep/grep.html;
+groups=('base')
+depends=('glibc' 'pcre' 'sh')
+makedepends=('texinfo')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('8d2f0346d08b13c18afb81f0e8aa1e2f'
+ '7a25f2ece647b8637f4ae1de474712e7')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  
+  install -dm755 ${pkgdir}/bin
+  ln -s /usr/bin/grep ${pkgdir}/bin/grep
+}

Copied: grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch (from rev 
157148, grep/trunk/grep-2.11-exclude-dir-crash.patch)
===
--- testing-i686/grep-2.11-exclude-dir-crash.patch  
(rev 0)
+++ testing-i686/grep-2.11-exclude-dir-crash.patch  2012-04-25 02:48:51 UTC 
(rev 157149)
@@ -0,0 +1,44 @@
+From 12c957f786b12a4dd116f9c40a715d671d17fa16 Mon Sep 17 00:00:00 2001
+From: Allan McRae al...@archlinux.org
+Date: Mon, 12 Mar 2012 09:28:01 +0100
+Subject: [PATCH] grep: fix segfault with -r --exclude-dir and no file operand
+
+* src/main.c (grepdir): Don't invoke excluded_file_name on NULL.
+* NEWS (Bug fixes): Mention it.
+---
+ NEWS   |5 +
+ src/main.c |2 +-
+ 2 files changed, 6 insertions(+), 1 deletion(-)
+
+diff --git a/NEWS b/NEWS
+index d0a63d5..d4d70f5 100644
+--- a/NEWS
 b/NEWS
+@@ -2,6 +2,11 @@ GNU grep NEWS-*- outline 
-*-
+ 
+ * Noteworthy changes in release ?.? (-??-??) [?]
+ 
++** Bug fixes
++
++   grep no longer segfaults with -r --exclude-dir and no file operand.
++   I.e., :|grep -r --exclude-dir=D PAT would segfault.
++
+ 
+ * Noteworthy changes in release 2.11 (2012-03-02) [stable]
+ 
+diff --git a/src/main.c b/src/main.c
+index 2f6c761..f4f1235 100644
+--- a/src/main.c
 b/src/main.c
+@@ -1361,7 +1361,7 @@ grepdir (char const *dir, struct stats const *stats)
+   struct stats const *ancestor;
+   char *name_space;
+   int status = 1;
+-  if (excluded_directory_patterns
++  if (dir  excluded_directory_patterns
+excluded_file_name (excluded_directory_patterns, dir))
+ return 1;
+ 
+-- 
+1.7.9.3
+

Copied: grep/repos/testing-i686/grep.install (from rev 157148, 
grep/trunk/grep.install)
===
--- testing-i686/grep.install   (rev 0)
+++ testing-i686/grep.install   2012-04-25 02:48:51 UTC (rev 157149)
@@ -0,0 +1,21 @@
+infodir=usr/share/info
+filelist=(grep.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+install-info $infodir/$file.gz $infodir/dir 2 /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+install-info --delete $infodir/$file.gz $infodir/dir 2 /dev/null
+  done
+}
+

Copied: grep/repos/testing-x86_64/PKGBUILD (from 

[arch-commits] Commit in grep/repos (8 files)

2012-03-12 Thread Allan McRae
Date: Monday, March 12, 2012 @ 05:51:20
  Author: allan
Revision: 153237

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  grep/repos/testing-i686/
  grep/repos/testing-i686/PKGBUILD
(from rev 153236, grep/trunk/PKGBUILD)
  grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch
(from rev 153236, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-i686/grep.install
(from rev 153236, grep/trunk/grep.install)
  grep/repos/testing-x86_64/
  grep/repos/testing-x86_64/PKGBUILD
(from rev 153236, grep/trunk/PKGBUILD)
  grep/repos/testing-x86_64/grep-2.11-exclude-dir-crash.patch
(from rev 153236, grep/trunk/grep-2.11-exclude-dir-crash.patch)
  grep/repos/testing-x86_64/grep.install
(from rev 153236, grep/trunk/grep.install)

--+
 testing-i686/PKGBUILD|   40 +++
 testing-i686/grep-2.11-exclude-dir-crash.patch   |   44 +
 testing-i686/grep.install|   21 ++
 testing-x86_64/PKGBUILD  |   40 +++
 testing-x86_64/grep-2.11-exclude-dir-crash.patch |   44 +
 testing-x86_64/grep.install  |   21 ++
 6 files changed, 210 insertions(+)

Copied: grep/repos/testing-i686/PKGBUILD (from rev 153236, grep/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2012-03-12 09:51:20 UTC (rev 153237)
@@ -0,0 +1,40 @@
+# $Id$
+# Maintainer: Allan McRae al...@archlinux.org
+# Contributor: judd jvi...@zeroflux.org
+
+pkgname=grep
+pkgver=2.11
+pkgrel=2
+pkgdesc=A string search utility
+arch=('i686' 'x86_64')
+license=('GPL3')
+url=http://www.gnu.org/software/grep/grep.html;
+groups=('base')
+depends=('glibc' 'pcre' 'sh')
+makedepends=('texinfo')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig}
+grep-2.11-exclude-dir-crash.patch)
+md5sums=('ad9c6dbdeab93e50d2bc380f10ed3643'
+ 'e4fea5e355973c951f93f48bc86f92fa'
+ 'e882644cf8c1a4e37da7ba8c0867e70b')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -p1 -i $srcdir/grep-2.11-exclude-dir-crash.patch
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  
+  install -dm755 ${pkgdir}/bin
+  ln -s /usr/bin/grep ${pkgdir}/bin/grep
+}

Copied: grep/repos/testing-i686/grep-2.11-exclude-dir-crash.patch (from rev 
153236, grep/trunk/grep-2.11-exclude-dir-crash.patch)
===
--- testing-i686/grep-2.11-exclude-dir-crash.patch  
(rev 0)
+++ testing-i686/grep-2.11-exclude-dir-crash.patch  2012-03-12 09:51:20 UTC 
(rev 153237)
@@ -0,0 +1,44 @@
+From 12c957f786b12a4dd116f9c40a715d671d17fa16 Mon Sep 17 00:00:00 2001
+From: Allan McRae al...@archlinux.org
+Date: Mon, 12 Mar 2012 09:28:01 +0100
+Subject: [PATCH] grep: fix segfault with -r --exclude-dir and no file operand
+
+* src/main.c (grepdir): Don't invoke excluded_file_name on NULL.
+* NEWS (Bug fixes): Mention it.
+---
+ NEWS   |5 +
+ src/main.c |2 +-
+ 2 files changed, 6 insertions(+), 1 deletion(-)
+
+diff --git a/NEWS b/NEWS
+index d0a63d5..d4d70f5 100644
+--- a/NEWS
 b/NEWS
+@@ -2,6 +2,11 @@ GNU grep NEWS-*- outline 
-*-
+ 
+ * Noteworthy changes in release ?.? (-??-??) [?]
+ 
++** Bug fixes
++
++   grep no longer segfaults with -r --exclude-dir and no file operand.
++   I.e., :|grep -r --exclude-dir=D PAT would segfault.
++
+ 
+ * Noteworthy changes in release 2.11 (2012-03-02) [stable]
+ 
+diff --git a/src/main.c b/src/main.c
+index 2f6c761..f4f1235 100644
+--- a/src/main.c
 b/src/main.c
+@@ -1361,7 +1361,7 @@ grepdir (char const *dir, struct stats const *stats)
+   struct stats const *ancestor;
+   char *name_space;
+   int status = 1;
+-  if (excluded_directory_patterns
++  if (dir  excluded_directory_patterns
+excluded_file_name (excluded_directory_patterns, dir))
+ return 1;
+ 
+-- 
+1.7.9.3
+

Copied: grep/repos/testing-i686/grep.install (from rev 153236, 
grep/trunk/grep.install)
===
--- testing-i686/grep.install   (rev 0)
+++ testing-i686/grep.install   2012-03-12 09:51:20 UTC (rev 153237)
@@ -0,0 +1,21 @@
+infodir=usr/share/info
+filelist=(grep.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+install-info $infodir/$file.gz $infodir/dir 2 /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in